ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitriy Pavlov (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (IGNITE-9044) Update scala dependency version in Apache Ignite
Date Thu, 26 Jul 2018 10:46:00 GMT

    [ https://issues.apache.org/jira/browse/IGNITE-9044?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16558159#comment-16558159
] 

Dmitriy Pavlov commented on IGNITE-9044:
----------------------------------------

[~zzzadruga], I suggest to upadte  <scala211.library.version> to 2.11.12. It is used
at least in osgi-karaf.

what do you think?

> Update scala dependency version in Apache Ignite
> ------------------------------------------------
>
>                 Key: IGNITE-9044
>                 URL: https://issues.apache.org/jira/browse/IGNITE-9044
>             Project: Ignite
>          Issue Type: Improvement
>            Reporter: Dmitriy Pavlov
>            Assignee: Nikolai kulagin
>            Priority: Major
>             Fix For: 2.7
>
>
> *ignite-scalar*
> scala.library.version=2.11.8, need to be at least 2.11.12 or newer.
> *ignite-scalar_2.10*
> scala210.library.version 2.10.6, need to be at least 2.10.7, probably newer
> *visor 2.10*
> scala210.jline.version = 2.10.4 , need to be at least 2.10.7, probably newer
> Probably impact would be wider.
> We need at least run run-all, local build.sh and optionally release candate step on TC.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message